Name:		python-warlock
Version:	2.0.1
Release:	%mkrel 4
Summary:	Python object model built on top of JSON schema
Group:		Development/Python
License:	ASL 2.0
URL:		https://pypi.org/project/warlock/
Source0:	https://pypi.io/packages/source/w/warlock/warlock-%{version}.tar.gz
BuildArch:	noarch

%description
Build self-validating python objects using JSON schemas.

%package -n     python3-warlock
Summary:	Python 3 object model built on top of JSON schema
Group:		Development/Python
%{?python_provide:%python_provide python3-warlock}
BuildRequires:	pkgconfig(python3)

%description -n python3-warlock
Build self-validating python objects using JSON schemas.

%prep
%setup -q -n warlock-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files warlock

%check
# no tests provided

%files -n python3-warlock -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.1-4.mga10
+ Revision: 2242528
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 2.0.1-3.mga10
+ Revision: 2160180
- rebuild for python3.13

* Fri Jan 10 2025 papoteur <papoteur> 2.0.1-2.mga10
+ Revision: 2137049
- rebuild without tests, not provided

* Sat Feb 24 2024 daviddavid <daviddavid> 2.0.1-1.mga10
+ Revision: 2043825
- new version: 2.0.1
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 1.3.3-6.mga10
+ Revision: 2019343
- Mass Rebuild - Python 3.12

* Fri Mar 25 2022 umeabot <umeabot> 1.3.3-5.mga9
+ Revision: 1825616
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.3.3-4.mga9
+ Revision: 1781175
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3.3-3.mga9
+ Revision: 1732860
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1534275
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 daviddavid <daviddavid> 1.3.3-1.mga8
+ Revision: 1448753
- new version: 1.3.3

* Mon Sep 16 2019 daviddavid <daviddavid> 1.3.0-2.mga8
+ Revision: 1442394
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1393992
- new version 1.3.0
- add python3 pkg

* Sun Sep 23 2018 daviddavid <daviddavid> 1.0.1-10.mga7
+ Revision: 1297151
- rename python-warlock to python2-warlock
- add missing BR on python2dist(repoze.lru)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.0.1-9.mga7
+ Revision: 1168819
- add BR on python2dist(jsonpatch) thus fixing build

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-8.mga6
+ Revision: 947896
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 750775
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 729965
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 688412
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 544443
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 499714
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 1.0.1-1.mga4
+ Revision: 497487
- Update to 1.0.1

* Thu Jan 17 2013 sander85 <sander85> 0.4.0-3.mga3
+ Revision: 389053
- Fix requirements (patch from upstream)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.4.0-2.mga3
+ Revision: 314221
- imported package python-warlock


* Wed Aug 22 2012 Alan Pevec <apevec@redhat.com> 0.4.0-2
- Add missing build requirements

* Fri Aug 10 2012 Dan Prince - 0.4.0-1
- Initial package.
